Package lxml :: Package html :: Module defs

[hide private]
[frames] | no frames]

# Module defs

source code

Variables | [hide private]

| empty_tags = ``frozenset([``'``area``'``,` `'``base``'``,` `'``basefont``'``,` `'``br``'``,` `'``col``...``
| deprecated_tags = ``frozenset([``'``applet``'``,` `'``basefont``'``,` `'``center``'``,` `'``...``
| link_attrs = ``frozenset([``'``action``'``,` `'``archive``'``,` `'``background``'``,` `'``ci``...``
| event_attrs = ``frozenset([``'``onblur``'``,` `'``onchange``'``,` `'``onclick``'``,` `'``ond``...``
| safe_attrs = ``frozenset([``'``abbr``'``,` `'``accept``'``,` `'``accept-charset``'``,` `'``a``...``
| top_level_tags = ``frozenset([``'``body``'``,` `'``frameset``'``,` `'``head``'``,` `'``html``'``])``
| head_tags = ``frozenset([``'``base``'``,` `'``isindex``'``,` `'``link``'``,` `'``meta``'``,` `'``scr``...``
| general_block_tags = ``frozenset([``'``address``'``,` `'``blockquote``'``,` `'``cent``...``
| list_tags = ``frozenset([``'``dd``'``,` `'``dir``'``,` `'``dl``'``,` `'``dt``'``,` `'``li``'``,` `'``menu``'``,` `...``
| table_tags = ``frozenset([``'``caption``'``,` `'``col``'``,` `'``colgroup``'``,` `'``table``'``,``...``
| block_tags = ``frozenset([``'``address``'``,` `'``blockquote``'``,` `'``caption``'``,` `'``c``...``
| form_tags = ``frozenset([``'``button``'``,` `'``fieldset``'``,` `'``form``'``,` `'``input``'``,` `...``
| special_inline_tags = ``frozenset([``'``a``'``,` `'``applet``'``,` `'``area``'``,` `'``basef``...``
| phrase_tags = ``frozenset([``'``abbr``'``,` `'``acronym``'``,` `'``cite``'``,` `'``code``'``,` `'``d``...``
| font_style_tags = ``frozenset([``'``b``'``,` `'``big``'``,` `'``i``'``,` `'``s``'``,` `'``small``'``,` `'``s``...``
| frame_tags = ``frozenset([``'``frame``'``,` `'``frameset``'``,` `'``noframes``'``])``
| html5_tags = ``frozenset([``'``article``'``,` `'``aside``'``,` `'``audio``'``,` `'``canvas``'``,``...``
| nonstandard_tags = ``frozenset([``'``blink``'``,` `'``marquee``'``])``
| tags = ``frozenset([``'``a``'``,` `'``abbr``'``,` `'``acronym``'``,` `'``address``'``,` `'``applet``'``,``...``
| __package__ = `None` hash(x)

Variables Details | [hide private]

### empty_tags

Value:

      frozenset(['area',
                 'base',
                 'basefont',
                 'br',
                 'col',
                 'frame',
                 'hr',
                 'img',
      ...

### deprecated_tags

Value:

      frozenset(['applet',
                 'basefont',
                 'center',
                 'dir',
                 'font',
                 'isindex',
                 'menu',
                 's',
      ...

### link_attrs

Value:

      frozenset(['action',
                 'archive',
                 'background',
                 'cite',
                 'classid',
                 'codebase',
                 'data',
                 'dynsrc',
      ...

### event_attrs

Value:

      frozenset(['onblur',
                 'onchange',
                 'onclick',
                 'ondblclick',
                 'onerror',
                 'onfocus',
                 'onkeydown',
                 'onkeypress',
      ...

### safe_attrs

Value:

      frozenset(['abbr',
                 'accept',
                 'accept-charset',
                 'accesskey',
                 'action',
                 'align',
                 'alt',
                 'axis',
      ...

### head_tags

Value:

      frozenset(['base',
                 'isindex',
                 'link',
                 'meta',
                 'script',
                 'style',
                 'title'])

### general_block_tags

Value:

      frozenset(['address',
                 'blockquote',
                 'center',
                 'del',
                 'div',
                 'h1',
                 'h2',
                 'h3',
      ...

### list_tags

Value:

      frozenset(['dd', 'dir', 'dl', 'dt', 'li', 'menu', 'ol', 'ul'])

### table_tags

Value:

      frozenset(['caption',
                 'col',
                 'colgroup',
                 'table',
                 'tbody',
                 'td',
                 'tfoot',
                 'th',
      ...

### block_tags

Value:

      frozenset(['address',
                 'blockquote',
                 'caption',
                 'center',
                 'col',
                 'colgroup',
                 'dd',
                 'del',
      ...

### form_tags

Value:

      frozenset(['button',
                 'fieldset',
                 'form',
                 'input',
                 'label',
                 'legend',
                 'optgroup',
                 'option',
      ...

### special_inline_tags

Value:

      frozenset(['a',
                 'applet',
                 'area',
                 'basefont',
                 'bdo',
                 'br',
                 'embed',
                 'font',
      ...

### phrase_tags

Value:

      frozenset(['abbr',
                 'acronym',
                 'cite',
                 'code',
                 'del',
                 'dfn',
                 'em',
                 'ins',
      ...

### font_style_tags

Value:

      frozenset(['b', 'big', 'i', 's', 'small', 'strike', 'tt', 'u'])

### html5_tags

Value:

      frozenset(['article',
                 'aside',
                 'audio',
                 'canvas',
                 'command',
                 'datalist',
                 'details',
                 'embed',
      ...

### tags

Value:

      frozenset(['a',
                 'abbr',
                 'acronym',
                 'address',
                 'applet',
                 'area',
                 'article',
                 'aside',
      ...